module Tools.String where

removeFromEnd :: String -> String -> String
removeFromEnd haystack needle = go haystack
  where
    go [] = ""
    go hay@(x:xs)
      | hay == needle = ""
      | otherwise     = x : go xs


trimLeft :: String -> String
trimLeft (' ':xs)  = trimLeft xs
trimLeft ('\t':xs) = trimLeft xs
trimLeft ('\n':xs) = trimLeft xs
trimLeft ('\r':xs) = trimLeft xs
trimLeft xs = xs

trimRight :: String -> String
trimRight = reverse . trimLeft . reverse

paddLeft :: Int -> Char -> String -> String
paddLeft n c text
    | d > 0 = replicate d c ++ text
    | otherwise = text
    where
        d = n - length text 
